"use strict";

/* SOME CONSTANTS */
//let endpoint01 = "";
//let endpoint02 = "";

/* SUPPORTING FUNCTIONS */

let loginController = () => {
	//clear any previous messages
	$('#login_message').html("");
	$('#login_message').removeClass();

	//first, let's do some client-side 
	//error trapping.
	let username = $("#username").val();
	let password = $("#password").val();
	if (username == "" || password == ""){
		$('#login_message').html('The user name and password are both required.');
		$('#login_message').addClass("alert alert-danger text-center");
		return; //quit the function now!   
	}
	
	//whew!  We didn't quit the function because of an obvious error
	//now we go on to see if the login and password are good
	//this should be an ajax call
	//but here in the template its a simple conditional statement

	if (username != 'adam' || password != '123') {
		// login failed.  Remove userid 
		localStorage.removeItem("userid");
		$('#login_message').html("Login Failed. Try again.");
		$('#login_message').addClass("alert alert-danger text-center");
	} else {
		//login succeeded.  Set userid.
		localStorage.userid = 1; // adam has a userid of 1 

		//manage the appearence of things...
		$('#login_message').html('');
		$('#login_message').removeClass();
		$('.secured').removeClass('locked');
		$('.secured').addClass('unlocked');
		$("#container-3col").hide(); //hide the 3 column container
		$('.content-wrapper').hide(); 
		$('#container-2col').show();   //show the 2 column container	
		//show the default div
		$("#div-AAA").show();		
	}			

	//scroll to top of page
	$("html, body").animate({ scrollTop: "0px" });
};

//document ready section
$(document).ready( () => {

    /* ----------------- start up navigation -----------------*/	
    /* controls what gets revealed when the page is ready     */

    /* this reveals the default page */
	if (localStorage.userid){
		//there is a session
		$("#container-3col").hide();
		$("#container-2col").show();
		$(".secured").removeClass("locked");		
		//show the default div
		$("#div-AAA").show();		
	}
	else {
		//there is no session
		$("#container-3col").show()
		$("#container-2col").hide()
		$(".secured").removeClass("unlocked");
		$(".secured").addClass("locked");
		//show the login div
		$("#div-login").show();
	}

    /* ------------------  basic navigation -----------------*/	
    /* this controls navigation - show / hide pages as needed */

	/* links on the menu */
		
	/* what happens if the link-home anchor tag is clicked? */
	$('#link-home').click( () => {
		$(".content-wrapper").hide(); 	/* hide all content-wrappers */
		$("#div-AAA").show(); /* show the chosen content wrapper */
	});
		
	/* what happens if the link-AAA anchor tag is clicked? */
	$('#link-AAA').click( () => {
		$(".content-wrapper").hide(); 	/* hide all content-wrappers */
		$("#div-AAA").show(); /* show the chosen content wrapper */
	});
		
	/* what happens if the link-BBB anchor tag is clicked? */
	$('#link-BBB').click( () => {
		$(".content-wrapper").hide(); 	
		$("#div-BBB").show(); 
	});

	/* what happens if the link-CCC anchor tag is clicked? */
	$('#link-CCC').click( () => {
		$(".content-wrapper").hide(); 	
		$("#div-CCC").show(); 
	});

	/* what happens if any of the navigation links are clicked? */
	$('.nav-link').click( () => {
		$("html, body").animate({ scrollTop: "0px" }); /* scroll to top of page */
	});

	/* what happens if the login button is clicked? */
	$('#btnLogin').click( () => {
		loginController();
	});

	/* what happens if the logout link is clicked? */
	$('#link-logout').click( () => {
		// First ... remove userid from localstorage
		localStorage.removeItem("userid");
		// Now force the page to refresh
		window.location = "./index.html";
	});

}); /* end the document ready event*/